Safe (multisig) integration
Get Gnosis Safe Integration
Returns Safe integration state, signer identity, connected Safe accounts and a live ERC-20 balance read via RPC.
GEThttps://api.toku.com/hris/get-gnosis-safe-integration
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/hris/get-gnosis-safe-integration' \
--header 'Authorization: Bearer <token>'200 response
{
"hasIntegration": true,
"hasSignerIdentity": true,
"signerIdentity": {
"signerPublicKey": "string",
"keyGeneratedAt": "string"
},
"accounts": [
{
"gnosisSafeAccountID": "string",
"safeAddress": "string",
"chainId": 0,
"networkName": "string",
"verifiedAt": "string",
"safeAppUrl": "string",
"name": "string",
"isDefault": true,
"signerIdentityID": "string"
}
],
"signerPublicKey": "string",
"keyGeneratedAt": "string",
"connectedSafeAddress": "string",
"connectedSafeChain": "string",
"safeConnectionVerifiedAt": "string",
"isConnectionVerified": true,
"safeAccounts": [
{
"chainId": 0,
"safeAddress": "string",
"verifiedAt": "string"
}
],
"contractorWalletTestTxAmount": "string",
"walletBalance": {
"amount": "string",
"tokenSymbol": "string",
"chainName": "string",
"chainId": 0,
"lastUpdated": "string",
"safeUrl": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstring<uuid>Response
200Successful response
hasIntegrationbooleanrequiredhasSignerIdentitybooleanrequiredsignerIdentityobject | nullrequiredShow child attributes
signerPublicKeystringrequiredkeyGeneratedAtstringrequiredaccountsobject[]requiredShow child attributes
gnosisSafeAccountIDstringrequiredsafeAddressstringrequiredchainIdintegerrequirednetworkNamestring | nullrequiredverifiedAtstring | nullrequiredsafeAppUrlstring | nullrequirednamestring | nullrequiredisDefaultbooleanrequiredsignerIdentityIDstring | nullrequiredsignerPublicKeystring | nullrequiredkeyGeneratedAtstring | nullrequiredconnectedSafeAddressstring | nullrequiredconnectedSafeChainstring | nullrequiredsafeConnectionVerifiedAtstring | nullrequiredisConnectionVerifiedbooleanrequiredsafeAccountsobject[]requiredShow child attributes
chainIdintegerrequiredsafeAddressstringrequiredverifiedAtstring | nullrequiredcontractorWalletTestTxAmountstring | nullrequiredAllowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$
walletBalanceobject | nullrequiredShow child attributes
amountstringrequiredAllowed: matches ^-?\d+(\.\d+)?(e[+-]?\d+)?$
tokenSymbolstringrequiredchainNamestringrequiredchainIdintegerrequiredlastUpdatedstring | nullrequiredsafeUrlstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits